Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 912089 - Review Request: docco - The Quick and Dirty Literate Programming Documentation Generator
Summary: Review Request: docco - The Quick and Dirty Literate Programming Documentatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 910119 920447 921889
Blocks: 912110
TreeView+ depends on / blocked
 
Reported: 2013-02-17 17:16 UTC by Jamie Nguyen
Modified: 2013-04-07 00:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-19 14:15:52 UTC
Type: ---
Embargoed:
tom: fedora-review+
pbabinca: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-17 17:16:19 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-docco.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-docco-0.4.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
The Quick and Dirty Literate Programming Documentation Generator.

Comment 3 Tom Hughes 2013-03-09 12:19:15 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains no bundled libraries without FPC exception.

As you have already noticed vendor/showdown.js is bundled, so that
will need to be resolved or an exception applied for.

- Package complies to the Packaging Guidelines.

The resources directory should be in %{_datadir}.

- If the source package does not include license text(s) as a separate file
  from upstream, the packager SHOULD query upstream to include it.

As it is MIT a local copy of the license will be needed for now.

- Issues from rpmlint:

nodejs-docco.noarch: W: no-manual-page-for-binary docco


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/912089-nodejs-docco/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 112640 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-docco-0.4.0-3.fc19.noarch.rpm
nodejs-docco.noarch: W: only-non-binary-in-usr-lib
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/commander /usr/lib/node_modules/commander
nodejs-docco.noarch: W: no-manual-page-for-binary docco
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-docco
nodejs-docco.noarch: W: only-non-binary-in-usr-lib
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/commander /usr/lib/node_modules/commander
nodejs-docco.noarch: W: no-manual-page-for-binary docco
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-docco (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(commander)
    python-pygments



Provides
--------
nodejs-docco:
    nodejs-docco
    npm(docco)



MD5-sum check
-------------
http://registry.npmjs.org/docco/-/docco-0.4.0.tgz :
  CHECKSUM(SHA256) this package     : 48b11bc53c3a2ee85c350529eba99ccfa8912338901ec399559c74c005b7c8ea
  CHECKSUM(SHA256) upstream package : 48b11bc53c3a2ee85c350529eba99ccfa8912338901ec399559c74c005b7c8ea


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -x CheckNoNameConflict -m fedora-rawhide-x86_64 -b 912089

Comment 4 Jamie Nguyen 2013-03-09 22:20:53 UTC
Spec URL: http://jamielinux.fedorapeople.org/jasmine-node/nodejs-docco.spec
SRPM URL: http://jamielinux.fedorapeople.org/jasmine-node/SRPMS/nodejs-docco-0.4.0-4.fc18.src.rpm

I'll add a man page and figure out whether it's plausible to patch docco to support the upstream showdown. If not, I'll apply for an exception.

Comment 5 Jamie Nguyen 2013-03-12 07:10:12 UTC
Spec URL: http://jamielinux.fedorapeople.org/jasmine-node/nodejs-docco.spec
SRPM URL: http://jamielinux.fedorapeople.org/jasmine-node/SRPMS/nodejs-docco-0.6.0-1.fc18.src.rpm

Hooray! Upstream have switched from forked npm(showdown) to unmodified npm(marked) which I've now posted for review.


* Tue Mar 12 2013 Jamie Nguyen <jamielinux> - 0.6.0-1
- update to upstream release 0.6.0
- remove comments about bundled showdown.js as project has switched to marked
- add a man page
- improve %%description
- remove /usr/share/docco/resources as we are including the compiled version
- test suite removed by upstream so remove coffee-script, npm(console.log)
  and python-pygments from BuildRequires
- add npm(marked) and npm(underscore) to BuildRequires

Comment 6 Tom Hughes 2013-03-14 22:48:24 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Latest version is packaged.

There is a 0.6.1 upstream release now.

- Reviewer should test that the package builds in mock.

The python-pygments is needed to run docco in %build so needs a BR.

- Avoid bundling fonts in non-fonts packages.

There are fonts included in the docs directory.

- General issues.

If docs is the documentation for docco shouldn't it be in %doc?

Is resources really not needed? Isn't it intended as a default
template for when you run docco on a file without using --template
or -css switches?


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 2 files.
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[!]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-docco-0.6.0-1.fc20.noarch.rpm
nodejs-docco.noarch: W: only-non-binary-in-usr-lib
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/marked /usr/lib/node_modules/marked
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/commander /usr/lib/node_modules/commander
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/underscore /usr/lib/node_modules/underscore
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-docco
nodejs-docco.noarch: W: only-non-binary-in-usr-lib
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/marked /usr/lib/node_modules/marked
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/commander /usr/lib/node_modules/commander
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/underscore /usr/lib/node_modules/underscore
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-docco (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(commander)
    npm(marked)
    npm(underscore)
    python-pygments



Provides
--------
nodejs-docco:
    nodejs-docco
    npm(docco)



MD5-sum check
-------------
http://registry.npmjs.org/docco/-/docco-0.6.0.tgz :
  CHECKSUM(SHA256) this package     : 21f100c635797b9d25dac330212fd0c2e23fef5f25367d16abac631dde62452d
  CHECKSUM(SHA256) upstream package : 21f100c635797b9d25dac330212fd0c2e23fef5f25367d16abac631dde62452d


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -rn /home/tom/rpm/SRPMS/nodejs-docco-0.6.0-1.fc18.src.rpm

Comment 7 Jamie Nguyen 2013-03-15 08:28:46 UTC
Spec URL: http://jamielinux.fedorapeople.org/jasmine-node/nodejs-docco.spec
SRPM URL: http://jamielinux.fedorapeople.org/jasmine-node/SRPMS/nodejs-docco-0.6.1-1.fc18.src.rpm

> - Latest version is packaged.
> 
> There is a 0.6.1 upstream release now.

Updated. New dependency:
https://bugzilla.redhat.com/show_bug.cgi?id=921889


> - Reviewer should test that the package builds in mock.
> 
> The python-pygments is needed to run docco in %build so needs a BR.

Done.


> - Avoid bundling fonts in non-fonts packages.
> 
> There are fonts included in the docs directory.

I've chosen just to delete these webfonts. The css doesn't break without them, and I'm not sure there are actually any web fonts at all in Fedora at the moment:
https://lists.fedoraproject.org/pipermail/packaging/2012-December/008783.html


> - General issues.
> 
> If docs is the documentation for docco shouldn't it be in %doc?

Done.


> Is resources really not needed? Isn't it intended as a default
> template for when you run docco on a file without using --template
> or -css switches?

Argh, that's my bad. Re-included resources, and also the docs themselves require the resources directory (so /usr/share/docco/resources is now symlinked to both docdir/nodejs-docco and nodejs_sitelib/docco).

Comment 8 Tom Hughes 2013-03-16 19:02:24 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package is named according to the Package Naming Guidelines.

I wonder if this one should be docco rather than nodejs-docco? It
seems to me that it's primary purpose is to provide the docco tool
rather than to provide a node library.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 122880 bytes in 7 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-docco-0.6.1-1.fc20.noarch.rpm
nodejs-docco.noarch: W: only-non-binary-in-usr-lib
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/highlight.js /usr/lib/node_modules/highlight.js
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/marked /usr/lib/node_modules/marked
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/commander /usr/lib/node_modules/commander
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/underscore /usr/lib/node_modules/underscore
1 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-docco
nodejs-docco.noarch: W: only-non-binary-in-usr-lib
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/marked /usr/lib/node_modules/marked
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/commander /usr/lib/node_modules/commander
nodejs-docco.noarch: W: dangling-symlink /usr/lib/node_modules/docco/node_modules/underscore /usr/lib/node_modules/underscore
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-docco (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(commander)
    npm(highlight.js)
    npm(marked)
    npm(underscore)
    python-pygments



Provides
--------
nodejs-docco:
    nodejs-docco
    npm(docco)



MD5-sum check
-------------
http://registry.npmjs.org/docco/-/docco-0.6.1.tgz :
  CHECKSUM(SHA256) this package     : 996f8df0db37d2bad29cf10bd40f2983ec6c554729ba34fb69f8bd4048b6e20f
  CHECKSUM(SHA256) upstream package : 996f8df0db37d2bad29cf10bd40f2983ec6c554729ba34fb69f8bd4048b6e20f


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 912089

Comment 9 Jamie Nguyen 2013-03-16 19:24:21 UTC
> - Package is named according to the Package Naming Guidelines.
> 
> I wonder if this one should be docco rather than nodejs-docco? It
> seems to me that it's primary purpose is to provide the docco tool
> rather than to provide a node library.

I think you have a good point there. Package renamed.

Spec: http://jamielinux.fedorapeople.org/jasmine-node/docco.spec
SRPM: http://jamielinux.fedorapeople.org/jasmine-node/SRPMS/docco-0.6.1-2.fc18.src.rpm

Comment 10 Tom Hughes 2013-03-17 00:03:06 UTC
Looks good. Package approved.

Comment 11 Jamie Nguyen 2013-03-17 06:28:54 UTC
Thanks for the thorough review on this one!

Comment 12 Jamie Nguyen 2013-03-17 06:29:39 UTC
New Package SCM Request
=======================
Package Name: docco
Short Description: The Quick and Dirty Literate Programming Documentation Generator
Owners: jamielinux
Branches: f18 f19 el6
InitialCC:

Comment 13 Pavol Babinčák 2013-03-18 08:51:25 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2013-03-18 21:58:14 UTC
docco-0.6.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/docco-0.6.1-2.fc18

Comment 15 Fedora Update System 2013-03-23 07:30:30 UTC
docco-0.6.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/docco-0.6.1-3.fc18

Comment 16 Fedora Update System 2013-04-07 00:20:53 UTC
docco-0.6.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.